package com.zksy.drainage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.EquipmentTest;

import java.util.List;

public interface DrainageEquipmentTestService extends IService<EquipmentTest> {

    Page<EquipmentTest> findByPage(long pageNum, long pageSize,
                                   String equipmentId, String testType, String testResult);

    boolean saveWithCheck(EquipmentTest entity);

    boolean saveBatchWithCheck(List<EquipmentTest> entityList);

    boolean updateWithCheck(EquipmentTest entity);

    boolean removeWithCheck(String id);

    boolean removeBatchWithCheck(List<String> ids);
}
